
Foreman - Refactor #27994

Clean up deprecations for 1.24

10/03/2019 07:43 AM - Tomer Brisker

Status: Closed   

Priority: Normal   

Assignee: Tomer Brisker   

Category: Development tools   

Target version: 1.24.0   

Difficulty:  Fixed in Releases: 1.24.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/7080,

https://github.com/theforeman/foreman-p

ackaging/pull/4176

  

Description

Related issues:

Related to Ansible - Refactor #28113: Remove deprecated db_facts method from ... Closed

Related to Foreman - Bug #28150: Some community templates still use removed @... Closed

Associated revisions

Revision 12841039 - 10/07/2019 03:18 PM - Tomer Brisker

Refs #27994 - remove deprecated foreman-config reference

Revision a105d06b - 10/22/2019 07:56 AM - Tomer Brisker

Fixes #27994 - Clean up deprecated functions

History

#1 - 10/03/2019 07:43 AM - Tomer Brisker

- Target version set to 1.24.0

#2 - 10/03/2019 08:42 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Tomer Brisker

- Pull request https://github.com/theforeman/foreman/pull/7080 added

#3 - 10/07/2019 07:48 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-packaging/pull/4176 added

#4 - 10/22/2019 07:56 AM - The Foreman Bot

- Fixed in Releases 1.24.0 added

#5 - 10/22/2019 08:01 AM - Tomer Brisker

- Status changed from Ready For Testing to Closed

Applied in changeset a105d06bd0f3daff804a492cb3c28781fc441b4d.

#6 - 10/23/2019 12:13 PM - Tomer Brisker

- Related to Refactor #28113: Remove deprecated db_facts method from FactImporter added

#7 - 10/30/2019 08:58 AM - Tomer Brisker
- Related to Bug #28150: Some community templates still use removed @host.operatingsystem.medium_uri method added
